.AUTODEPEND

#		*Translator Definitions*
CC = bcc +TIFFACS.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = C:\BORLANDC\LIB
INCLUDEPATH = C:\BORLANDC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


LIB_dependencies =  \
 cutil.obj \
 unpackbi.obj \
 packbits.obj \
 readfld.obj \
 readhdr.obj \
 readimag.obj \
 readimg.obj \
 readtag.obj \
 rfldsize.obj \
 tifcreat.obj \
 tifwrite.obj \
 writetag.obj \
 compblok.obj \
 compress.obj \
 dcmpblok.obj \
 dcompres.obj

#		*Explicit Rules*
tiffacs.lib: tiffacs.cfg $(LIB_dependencies)
  - del tiffacs.lib
  $(TLIB) $<  @&&|
-+cutil.obj &
-+unpackbi.obj &
-+packbits.obj &
-+readfld.obj &
-+readhdr.obj &
-+readimag.obj &
-+readimg.obj &
-+readtag.obj &
-+rfldsize.obj &
-+tifcreat.obj &
-+tifwrite.obj &
-+writetag.obj &
-+compblok.obj &
-+compress.obj &
-+dcmpblok.obj &
-+dcompres.obj
|


#		*Individual File Dependencies*
cutil.obj: tiffacs.cfg cutil.c 

unpackbi.obj: tiffacs.cfg unpackbi.c 

packbits.obj: tiffacs.cfg packbits.c 

readfld.obj: tiffacs.cfg readfld.c 

readhdr.obj: tiffacs.cfg readhdr.c 

readimag.obj: tiffacs.cfg readimag.c 

readimg.obj: tiffacs.cfg readimg.c 

readtag.obj: tiffacs.cfg readtag.c 

rfldsize.obj: tiffacs.cfg rfldsize.c 

tifcreat.obj: tiffacs.cfg tifcreat.c 

tifwrite.obj: tiffacs.cfg tifwrite.c 

writetag.obj: tiffacs.cfg writetag.c 

compblok.obj: tiffacs.cfg compblok.asm 
	$(TASM) /MX /ZI /O COMPBLOK.ASM,COMPBLOK.OBJ

compress.obj: tiffacs.cfg compress.asm 
	$(TASM) /MX /ZI /O COMPRESS.ASM,COMPRESS.OBJ

dcmpblok.obj: tiffacs.cfg dcmpblok.asm 
	$(TASM) /MX /ZI /O DCMPBLOK.ASM,DCMPBLOK.OBJ

dcompres.obj: tiffacs.cfg dcompres.asm 
	$(TASM) /MX /ZI /O DCOMPRES.ASM,DCOMPRES.OBJ

#		*Compiler Configuration File*
tiffacs.cfg: tiffacs.mak
  copy &&|
-R
-ml!
-2
-v
-WDE
-vi-
-H=TIFFACS.SYM
-wpro
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
-zCTIFFACS_TEXT
-P-.C
| tiffacs.cfg


