/*--------------------------------------------------------------


	T I F A C S    : Tiff 4.0-Bibliothek von Aldus,
			 angepasst und erweitert von Bernd Herd
						     Rudolf-Virchow-Str. 8
						     6842 Brstadt

			 Siehe TIFACS.DOC fr Copyright-Infos

	T I F F I . H  : Include-Datei innerhalb der Tiff-Module

  --------------------------------------------------------------*/
void  reorder( void far * data, SHORT size);

LONG far get_1st_ifd(SHORT fhandle);									// READIMG.C

int field_data_write(int hndle, long ifdsize);		// TIFFCREAT.C


void      bigfree(void far *memptr);		// CUTIL.C
void far *bigalloc(LONG size);
BOOL      read_dir(SHORT fhandle, TIFF_DIR_ENTRY far *dirent);
SHORT     value_of(TIFF_DIR_ENTRY *dirent, LONGPTR value);
void 	  debug(char *fmt, ...);
LONG 	  bigRead(SHORT fhandle, LONGPTR buffer, LONG size);
SHORT 	  type_length(SHORT type);
BOOL 	  correct_version(SHORT value);
BOOL access_ifd(SHORT 		    fhandle,
		LONG  		    offset,
		TIFF_DIR_ENTRY far *dirent,
		SHORT		   *entry_count,
		LONG		   *subfile_type,
		LONG		   *next_dir_offset);


SHORT 	  read_dirent(SHORT fhandle, SHORT fdtype, SHORT tagnum, TIFF_DIR_ENTRY far *dirent);		// READTAG.C

int	  decompress_block(		/* Image block compression routine */		// DCMPBLOK.ASM
	  char	raw_video[],		/* Buffer containing raw image */    
	  char	cdata[],		/* Buffer containing compressed data */
	  int	line_length,		/* Length of one scan line */	     
	  int	block_length,		/* Number of scan lines in block */
	  int   bytes_in_strip);

int	  compress_block(		/* Image block compression routine */		// COMPBLOK.ASM
	  char far *raw_video,		/* Buffer containing raw image */
	  char far *comp_video,		/* Buffer for compressed image */
	  long	    line_length,	/* Length of one scan line */	      
	  int	    block_length);	/* Number of scan lines in block */   


SHORT  *build_one_tag(int   filehand,  			// WRITETAG.C
		      SHORT tagno,
		      char far *pointr,
		      SHORT filtype,
		      SHORT siz_bytes);
void new_check_tag(SHORT tag_num, SHORT *field_ptr);


   long get_tagval(SHORT tag_num);			// IFFWRITE.C
   int set_position(int fhandl, long fil_pos);
   int write_img_data(int fhndle, char far *bufptr, long bytesize);
   int write_strptrs(int handle, long *strp_mem, long length);

   long get_cpos(int fhndl);				// TIFFCREAT.C
   int  header_write(int flhndle);
   void init_tif_hdr(void);
   int find_type(short tag_no);
   int build_tags(short far *bfpointer, short filetype, long size);
   int header_rewrite(int fhandle, long file_pos);
   void build_sbfile_tag(short ftype);
   short	check_strp_tags(short tag_no, short far *buf_pontr);
   int write_tag_val(int fil_handle, short fdtype, short tagnum, short far *dataptr, short length);
   void check_tag(short tag_num, short *field_ptr);
   int write_data(int fhndle, char far *bufptr, short bytsize);
   void build_strpofst_tag(short *field_ptr);
   void build_strpbytcnt_tag(short *field_ptr);





BOOL UnpackBits(LONGPTR, LONGPTR, SHORT);		// Unpackbi.c
void BigPackBits (LONGPTR *plpIb, LONGPTR *plpOut, unsigned n);	// Packbits.c

int  rewrite_field_data(int handle);			// TIFFWITE.C


#define tlRead(h,p,l) _lread(h,p,l)
#define tlpWrite(h,p,l) _lwrite(h,p,l)
#define bigcopy(d,s,l) memcpy(d,s,l);

